com.thinkaurelius.titan.graphdb.types

## Class TypeDefinitionMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.EnumMap<TypeDefinitionCategory,Object>
    - - com.thinkaurelius.titan.graphdb.types.TypeDefinitionMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map<TypeDefinitionCategory,Object>

      public class TypeDefinitionMap
      extends EnumMap<TypeDefinitionCategory,Object>

  Author:
    Matthias Broecheler (me@matthiasb.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeDefinitionMap()`
    `TypeDefinitionMap(TypeDefinitionMap copy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<O> O` | `getValue(TypeDefinitionCategory type)`
    `<O> O` | `getValue(TypeDefinitionCategory type, Class<O> clazz)`
    `void` | `isValidDefinition(Set<TypeDefinitionCategory> requiredTypes)`
    `void` | `isValidTypeModifierDefinition(Set<TypeDefinitionCategory> legalTypes)`
    `TypeDefinitionMap` | `setValue(TypeDefinitionCategory type, Object value)`

    - ### Methods inherited from class java.util.EnumMap

      `clear, clone, containsKey, containsValue, entrySet, equals, get, hashCode, keySet, put, putAll, remove, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `isEmpty, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeDefinitionMap

          public TypeDefinitionMap()

    - #### TypeDefinitionMap

          public TypeDefinitionMap(TypeDefinitionMap copy)

  - ### Method Detail

    - #### setValue

          public TypeDefinitionMap setValue(TypeDefinitionCategory type,
                                   Object value)

    - #### getValue

          public <O> O getValue(TypeDefinitionCategory type)

    - #### getValue

          public <O> O getValue(TypeDefinitionCategory type,
                       Class<O> clazz)

    - #### isValidDefinition

          public void isValidDefinition(Set<TypeDefinitionCategory> requiredTypes)

    - #### isValidTypeModifierDefinition

          public void isValidTypeModifierDefinition(Set<TypeDefinitionCategory> legalTypes)

Copyright © 2012–2014. All rights reserved.